Référencement, statistiques

STATSJS

Compter les visites via un mouchard javascript

Préfixe : statsjs
Utilisé dans 107 sites
Mis à jour le 14 février 2018
  • SPIP 2.1
  • SPIP 3.0
  • SPIP 3.1
  • SPIP 3.2

0.1.3 - en développement

Compatible : SPIP 2.1 SPIP 3.0 SPIP 3.1 SPIP 3.2
Afficher la description

Ce plugin sert à compter les visites à partir d’un mouchard javascript, au lieu du mouchard PHP classique. Quel intérêt ?

  • homogénéité : en utilisant un mouchard javascript au lieu de regarder les hits sur les pages HTML, StatsJS permet de compter les visites de la même façon que les autres systèmes de statistiques, comme piwik ou google analytics.
  • performance : Si l’on met son site derrière un cache (proxy inverse) du type Varnish (http://www.varnish-cache.org/), la plupart des hits sur les pages ne vont plus jusqu’au serveur PHP, car ils sont servis directement par Varnish. Dès lors, pour comptabiliser les visites, il faut provoquer un autre hit, sur un script spécifique.
Version
0.1.3
Compatiblité
SPIP ≥ 2.1.0 et ≤ 3.2.*
État
en développement
Auteur
Fil
Archive
statsjs.zip
Taille
38.3 ko
Générée le
14-02-2018 17:04
Hébergée par
SPIP-Zone - Plugins
Compatible avec
Statistiques ≥ 0.4.7

Dernières modifications

Messages de forum

  • 14 décembre : oui, alors comme d’hab l’actualiseur d’info sur contrib ne passe pas. J’actualise à la main l’info (...)
  • 14 décembre : cela étant @Rastapopoulos, cela pourrait valoir la peine de mettre du propre sur le champ (...)
  • 14 décembre : Oui , bien sûr , effectivement c’est beaucoup mieux avec la nuance ! merci (...)
  • 14 décembre : Ce n’est pas la saisie explication que tu montres là. C’est le paramètre explication d’une autre (...)
  • 14 décembre : Bonjour, J’ai passé mon site de test sous php 7.3 et voici les erreurs du plugin : Deprecated : (...)
  • 14 décembre : Bonjour, merci de votre réponse. Merci j’avais testé et ai retesté ce matin : négatif (voir copie (...)
  • 14 décembre : Bonjour, Voici les plugins qui figurent sur le site défaillant : Coche Mots 1.2.1 - stable (...)
  • 14 décembre : Bonjour, Oui, je confirme le plugin est compatible SPIP 3.2. C’est marqué sur sa fiche : (...)
  • 13 décembre : Alors pour la compat 3.2 ça je peux répondre : c’est compatible ! Pour le reste je laisse Teddy (...)
  • 13 décembre : effectivement il y avait des problèmes en cas d’image. La nouvelle version du plugin pour php 7 (...)